# $Id: factory_attr.py 2588 2009-07-28 11:03:09Z mmamonski $
#
# vim: set ts=4 sw=4 et:

#
# QosCosGrid Computing
# Copyright (C) 2008-2011 Poznan Supercomputing and Networking Center
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>
#

from qcg.core import *
from qcg.comp import *

class Module(Module):

    def __init__(self, *unused):
        signal_connect("smc_factory_attributes", self.signal_handler)

    def signal_handler(self, signal, local_resource_manager_type, not_used):

        return "<ns:ClusterMetric xmlns:ns='http://example.com/GridInfo'>1000</ns:ClusterMetric>"
