#
# QosCosGrid Computing
# Copyright (C) 2008-2011 Poznan Supercomputing and Networking Center
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>
#

class QueueType:
    UNKNOWN = 1
    INTERACTIVE = 2
    CHECKPOINTING = 4
    PARALLEL = 8
    TRANSFER = 16
    BATCH = 32

class QueueStatus:
    UNKNOWN = 1
    ALARM = 2
    SUSPEND = 4
    SUBORDINATE = 8
    DISABLED = 16
    ERROR = 32

class JobStatus:
    UNKNOWN = 1
    TRANSFERING = 2
    WAITING = 4
    RUNNING = 8
    RESTARTED = 16
    SUSPENDED = 32
    THRESHOLD = 64
